# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Lock.pm) perl(Keyword/Simple.pm) perl(Module/Build/Tiny.pm) perl(Test/Most.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define module_name Syntax-Keyword-Val
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: A readonly variant of 'my' called 'val'
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SP/SPROINGIE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Simply use this module, then place the `val' keyword where you'd normally
use `my' for a read-only variant.

 use Syntax::Keyword::Val;

 val $foo = "bar";
 $foo = 123;        # ERROR

 val $foo = {a => 123, b => 456};
 $foo->{a}   = 666;       # ERROR
 $foo->{xyz} = "xyzzy";   # ERROR
 delete $foo->{b};        # ERROR

The implementation uses Data::Lock, which itself uses the very fast
internal SV flag to enforce the read-only status, so there should be
no runtime penalty for using it.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/S*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

